Subject: Re: bdi2000 debugging

From: Sylvain Munaut <[email-masked]>
Date: Thu, 17 Feb 2005 00:44:46 +0100

>>The bad news : AFAIK you can't fix it :(
>>
>>There is a bug in the rev <= 1.2 of the silicon of MPC5200 : When there
>>is another XLB Master active (like USB or any bestcomm activity), the XLB
>>arbiter can get confused during debugging and you can resume nor
>>can you access memory or do anything ... you can just reboot.
>>    
>>
>
>Hmm, this is not good. :(
>  
>
No kidding ;)

>How can I determine the silicon rev.?
>I'll look it up in the docs.
>  
>
L25R marking on the top means rev 1.2 IIRC. That's the one I have. Also, 
if you have a
rev 2, you're lucky, I'd like one ;)

>>It's VERY frustrating since the BDI2000 is then kind of useless for debug
>>in the cases when you need those activated ...
>>    
>>
>
>So I have to disable USB (can live without it for debugging), bestcomm
>(hmm, how can I use console on serial port then?) and what else?
>  
>
Serial port console is OK the drivers I know don't use bestcomm. But
USB, Ethernet, IDE, Codec, ....

    Sylvain